package es.verdnatura.di

import es.verdnatura.presentation.view.feature.ajustes.fragment.AjustesViewModel
import es.verdnatura.presentation.view.feature.articulo.fragment.ItemCardViewModel
import es.verdnatura.presentation.view.feature.buscaritem.fragment.BuscarItemViewModel
import es.verdnatura.presentation.view.feature.faltas.fragment.FaltasViewModel
import es.verdnatura.presentation.view.feature.inventario.fragment.InventaryViewModel
import es.verdnatura.presentation.view.feature.login.fragment.LoginViewModel
import es.verdnatura.presentation.view.feature.pasillero.fragment.PasilleroViewModel
import es.verdnatura.presentation.view.feature.shelvingparking.fragment.ShelvingParkingViewModel
import es.verdnatura.presentation.view.feature.ubicador.fragment.UbicadorViewModel
import org.koin.androidx.viewmodel.dsl.viewModel
import org.koin.dsl.module

val viewModelModule  = module{
    // Login
    viewModel {
        LoginViewModel()
    }

    // Pasilleros
    viewModel {
        PasilleroViewModel()
    }

    // Pasilleros / Item Card
    viewModel {
        ItemCardViewModel()
    }

    // Pasilleros / Buscar Item
    viewModel {
        BuscarItemViewModel()
    }

    // Pasilleros / Inventario
    viewModel {
        InventaryViewModel()
    }
    // Pasilleros / Faltas
    viewModel {
        FaltasViewModel()
    }

    // ShelvingParking
    viewModel {
        ShelvingParkingViewModel()
    }

    // Ubicador
    viewModel {
        UbicadorViewModel()
    }

    // Ajustes
    viewModel {
        AjustesViewModel()
    }
}