package es.verdnatura.domain

import okhttp3.OkHttpClient
import retrofit2.Retrofit
import retrofit2.converter.gson.GsonConverterFactory
import java.util.concurrent.TimeUnit


class ApiUtils {
    companion object {
        const val BASE_URL:String = "http://192.168.1.108:8000/"
        //const val BASE_URL:String = "https://app.verdnatura.es/"
        fun getApiService():VerdnaturaService{
            val retrofit = Retrofit.Builder()
                .baseUrl(BASE_URL)
                .addConverterFactory(GsonConverterFactory.create())
                .client(getRequestHeader())
                .build()
            return retrofit.create(VerdnaturaService::class.java)
        }

        fun getRequestHeader(): OkHttpClient? {
            val client = OkHttpClient.Builder()
                .connectTimeout(10, TimeUnit.SECONDS)
                .writeTimeout(10, TimeUnit.SECONDS)
                .readTimeout(30, TimeUnit.SECONDS)
                .build()
            return client
        }
    }


}