package es.verdnatura.domain


import es.verdnatura.databinding.ItemUbicationRowBinding
import es.verdnatura.presentation.view.feature.ajustes.model.SectorItemVO
import es.verdnatura.presentation.view.feature.articulo.model.ItemCardVO
import es.verdnatura.presentation.view.feature.buscaritem.model.ItemLocationVO
import es.verdnatura.presentation.view.feature.faltas.model.ItemFaltasVO
import es.verdnatura.presentation.view.feature.inventario.model.ItemInventaryVO
import es.verdnatura.presentation.view.feature.shelvingparking.model.ItemShelvingParkingVO
import es.verdnatura.presentation.view.feature.ubicador.model.ItemUbicadorVO
import retrofit2.Call
import retrofit2.http.Body
import retrofit2.http.Header
import retrofit2.http.POST

interface VerdnaturaService {

    //LOGIN ========================================================================>
    @POST("security/login")
    fun login(@Header("aplicacion") aplicacion: String,
              @Header("version") version: String,
              @Header("user") user: String,
              @Header("pass") pass: String,
              @Header("Content-Type") content_type: String,
              @Body params: List<String>):
            Call<String>

    @POST("almacenv2/version")
    fun version(@Header("aplicacion") aplicacion: String,
              @Header("version") version: String,
              @Header("user") user: String,
              @Header("pass") pass: String,
              @Header("Content-Type") content_type: String,
              @Body params: List<String>):
            Call<Boolean>


    //AJUSTES ========================================================================>
    @POST("almacenv2/sector_get")
    fun getSectors(@Header("aplicacion") aplicacion: String,
                @Header("version") version: String,
                @Header("user") user: String,
                @Header("pass") pass: String,
                @Header("Content-Type") content_type: String):
            Call<List<SectorItemVO>>


    //PASILLEROS ========================================================================>

    //CONSULTAR ARTICULO ========================================================================>
    @POST("almacenv2/item_card")
    fun getItemCard(@Header("aplicacion") aplicacion: String,
                   @Header("version") version: String,
                   @Header("user") user: String,
                   @Header("pass") pass: String,
                   @Header("Content-Type") content_type: String,
                    @Body params: List<String>):
            Call<ItemCardVO>

    @POST("almacenv2/item_Stock_Update")
    fun itemStockUpdate(@Header("aplicacion") aplicacion: String,
                        @Header("version") version: String,
                        @Header("user") user: String,
                        @Header("pass") pass: String,
                        @Header("Content-Type") content_type: String,
                        @Body params: List<String>):
            Call<String>

    @POST("almacenv2/item_placement_save")
    fun itemPlacementSave(@Header("aplicacion") aplicacion: String,
                        @Header("version") version: String,
                        @Header("user") user: String,
                        @Header("pass") pass: String,
                        @Header("Content-Type") content_type: String,
                        @Body params: List<String>):
            Call<String>

    @POST("almacenv2/buy_updateGrouping")
    fun updateGrouping(@Header("aplicacion") aplicacion: String,
                          @Header("version") version: String,
                          @Header("user") user: String,
                          @Header("pass") pass: String,
                          @Header("Content-Type") content_type: String,
                          @Body params: List<String>):
            Call<String>

    @POST("almacenv2/buy_updatePacking")
    fun updatePacking(@Header("aplicacion") aplicacion: String,
                       @Header("version") version: String,
                       @Header("user") user: String,
                       @Header("pass") pass: String,
                       @Header("Content-Type") content_type: String,
                       @Body params: List<String>):
            Call<String>

    @POST("almacenv2/itemSaveMin")
    fun itemSaveMin(@Header("aplicacion") aplicacion: String,
                      @Header("version") version: String,
                      @Header("user") user: String,
                      @Header("pass") pass: String,
                      @Header("Content-Type") content_type: String,
                      @Body params: List<String>):
            Call<String>


    @POST("almacenv2/barcodes_edit")
    fun barcodes_edit(@Header("aplicacion") aplicacion: String,
                    @Header("version") version: String,
                    @Header("user") user: String,
                    @Header("pass") pass: String,
                    @Header("Content-Type") content_type: String,
                    @Body params: List<String>):
            Call<String>

    //BUSCAR ITEM ========================================================================>
    @POST("almacenv2/getItemUbication")
    fun searchItemsUbicador(@Header("aplicacion") aplicacion: String,
                      @Header("version") version: String,
                      @Header("user") user: String,
                      @Header("pass") pass: String,
                      @Header("Content-Type") content_type: String,
                      @Body params: List<String>):
            Call<List<ItemLocationVO>>

    //INVENTARIO ========================================================================>
    @POST("almacenv2/itemShelvingRadar")
    fun itemShelvingRadar(@Header("aplicacion") aplicacion: String,
                            @Header("version") version: String,
                            @Header("user") user: String,
                            @Header("pass") pass: String,
                            @Header("Content-Type") content_type: String,
                            @Body params: List<String>):
            Call<List<ItemInventaryVO>>

    @POST("almacenv2/faultsReview")
    fun faultsReview(@Header("aplicacion") aplicacion: String,
                          @Header("version") version: String,
                          @Header("user") user: String,
                          @Header("pass") pass: String,
                          @Header("Content-Type") content_type: String,
                          @Body params: List<String>):
            Call<List<ItemFaltasVO>>

    @POST("almacenv2/faultsReview_isChecked")
    fun faultsReview_isChecked(@Header("aplicacion") aplicacion: String,
                     @Header("version") version: String,
                     @Header("user") user: String,
                     @Header("pass") pass: String,
                     @Header("Content-Type") content_type: String,
                     @Body params: List<String>):
            Call<String>

    //SHELVING PARKING ========================================================================>
    @POST("almacenv2/shelvingParking_get")
    fun shelvingParking_get(@Header("aplicacion") aplicacion: String,
                          @Header("version") version: String,
                          @Header("user") user: String,
                          @Header("pass") pass: String,
                          @Header("Content-Type") content_type: String,
                          @Body params: List<String>):
            Call<List<ItemShelvingParkingVO>>

    //UBICADOR ========================================================================>
    @POST("almacenv2/itemShelvingList")
    fun itemShelvingList(@Header("aplicacion") aplicacion: String,
                            @Header("version") version: String,
                            @Header("user") user: String,
                            @Header("pass") pass: String,
                            @Header("Content-Type") content_type: String,
                            @Body params: List<String>):
            Call<List<ItemUbicadorVO>>

    @POST("almacenv2/itemShelvingMake")
    fun itemShelvingMake(@Header("aplicacion") aplicacion: String,
                         @Header("version") version: String,
                         @Header("user") user: String,
                         @Header("pass") pass: String,
                         @Header("Content-Type") content_type: String,
                         @Body params: List<String>):
            Call<String>


}