package es.verdnatura.presentation.view.component

import android.app.Dialog
import android.content.Context
import android.view.View
import com.google.android.material.textfield.TextInputEditText
import es.verdnatura.R
import kotlinx.android.synthetic.main.component_custom_dialog.custom_dialog_button_ko
import kotlinx.android.synthetic.main.component_custom_dialog.custom_dialog_button_ok
import kotlinx.android.synthetic.main.component_custom_dialog.custom_dialog_description
import kotlinx.android.synthetic.main.component_custom_dialog.custom_dialog_title
import kotlinx.android.synthetic.main.component_custom_edit_dialog.*

class CustomDialogInput (context: Context) : Dialog(context, R.style.DialogTheme) {

    init {
        setContentView(R.layout.component_custom_edit_dialog)
    }

    fun getEditText() : TextInputEditText {
        return custom_dialog_value
    }

    fun getValue() : String {
        return custom_dialog_value.text.toString()
    }

    fun setValue(value : String): CustomDialogInput{
        custom_dialog_value.setText(value)
        custom_dialog_value.visibility = View.VISIBLE
        return this
    }

    fun setTitle(title: String): CustomDialogInput {
        custom_dialog_title.visibility = View.VISIBLE
        custom_dialog_title.text = title
        return this
    }

    fun setDescription(description: String): CustomDialogInput {
        custom_dialog_description.visibility = View.VISIBLE
        custom_dialog_description.text = description
        return this
    }

    fun setOkButton(text: String, onButtonClicked: () -> Unit): CustomDialogInput {
        custom_dialog_button_ok.visibility = View.VISIBLE
        custom_dialog_button_ok.text = text
        custom_dialog_button_ok.setOnClickListener { onButtonClicked() }
        return this
    }

    fun setKoButton(text: String, onButtonClicked: () -> Unit): CustomDialogInput {
        custom_dialog_button_ko.visibility = View.VISIBLE
        custom_dialog_button_ko.text = text
        custom_dialog_button_ko.setOnClickListener { onButtonClicked() }
        return this
    }

}