package es.verdnatura.presentation.view.component

import android.app.Dialog
import android.content.Context
import android.view.View
import com.google.android.material.textfield.TextInputEditText
import es.verdnatura.R
import kotlinx.android.synthetic.main.component_custom_ubicador_dialog.*

class CustomDialogUbicador  (context: Context) : Dialog(context, R.style.DialogTheme) {

    init {
        setContentView(R.layout.component_custom_ubicador_dialog)
    }


    fun setTitle(title: String): CustomDialogUbicador {
        custom_dialog_title.visibility = View.VISIBLE
        custom_dialog_title.text = title
        return this
    }


    fun setItemValue(value : String) : CustomDialogUbicador{
        custom_dialog_item.setText(value)
        custom_dialog_item.visibility = View.VISIBLE
        return this
    }

    fun getItemValue() : String{
        return custom_dialog_item.text.toString()
    }

    fun getEditItem() : TextInputEditText {
        return custom_dialog_item
    }


    fun setEtiquetaValue(value : String) : CustomDialogUbicador{
        custom_dialog_etiquetas.setText(value)
        custom_dialog_etiquetas.visibility = View.VISIBLE
        return this
    }

    fun getEtiquetaValue() : String{
        return custom_dialog_etiquetas.text.toString()
    }

    fun getEtiquetaItem() : TextInputEditText {
        return custom_dialog_etiquetas
    }


    fun setPackingValue(value : String) : CustomDialogUbicador{
        custom_dialog_packing.setText(value)
        custom_dialog_packing.visibility = View.VISIBLE
        return this
    }

    fun getPackingValue() : String{
        return custom_dialog_packing.text.toString()
    }

    fun getPackingItem() : TextInputEditText {
        return custom_dialog_packing
    }

    fun setVisibleValue(value : String) : CustomDialogUbicador{
        custom_dialog_visible.setText(value)
        custom_dialog_visible.visibility = View.VISIBLE
        return this
    }

    fun getVisibleValue() : String{
        return custom_dialog_visible.text.toString()
    }

    fun getVisibleItem() : TextInputEditText {
        return custom_dialog_visible
    }


    fun setOkButton(text: String, onButtonClicked: () -> Unit): CustomDialogUbicador {
        custom_dialog_button_ok.visibility = View.VISIBLE
        custom_dialog_button_ok.text = text
        custom_dialog_button_ok.setOnClickListener { onButtonClicked() }
        return this
    }

    fun setKoButton(text: String, onButtonClicked: () -> Unit): CustomDialogUbicador {
        custom_dialog_button_ko.visibility = View.VISIBLE
        custom_dialog_button_ko.text = text
        custom_dialog_button_ko.setOnClickListener { onButtonClicked() }
        return this
    }

}