package es.verdnatura.presentation.view.feature.pasillero.fragment

import android.content.Context
import android.os.Bundle
import android.view.View
import androidx.recyclerview.widget.LinearLayoutManager
import es.verdnatura.R
import es.verdnatura.databinding.FragmentPasilleroBinding
import es.verdnatura.presentation.base.BaseFragment
import es.verdnatura.presentation.common.OnPasillerosItemClickListener
import es.verdnatura.presentation.view.feature.pasillero.adapter.PasillerosAdapter
import kotlinx.android.synthetic.main.activity_main.*
import kotlinx.android.synthetic.main.fragment_pasillero.*
import kotlinx.android.synthetic.main.toolbar.*

class PasilleroFragment : BaseFragment<FragmentPasilleroBinding,PasilleroViewModel>(PasilleroViewModel::class){

    private var pasillerosItemClickListener: OnPasillerosItemClickListener? = null

    companion object {
        fun newInstance() = PasilleroFragment()
    }

    override fun onAttach(context: Context) {
        super.onAttach(context)
        if (context is OnPasillerosItemClickListener) pasillerosItemClickListener = context
    }

    override fun getLayoutId(): Int = R.layout.fragment_pasillero

    override fun init() {
        activity!!.main_bottom_navigation.visibility = View.VISIBLE
        toolbar_title.text = "Verdnatura"
        backButton.visibility = View.GONE
        super.init()
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        viewModel.inititializeDefaultData()
        super.onCreate(savedInstanceState)
    }




    override fun observeViewModel() {
        with(viewModel){
            pasilleros_items.adapter = PasillerosAdapter(pasillerositem,pasillerosItemClickListener!!)
            pasilleros_items.layoutManager = LinearLayoutManager(requireContext(), LinearLayoutManager.VERTICAL, false)
        }
        super.observeViewModel()
    }

}
