package es.verdnatura.presentation.view.feature.shelvingparking.fragment


import android.content.SharedPreferences
import android.view.View
import android.view.inputmethod.EditorInfo
import androidx.lifecycle.Observer
import androidx.recyclerview.widget.LinearLayoutManager
import es.verdnatura.R
import es.verdnatura.databinding.FragmentShelvingParkingBinding
import es.verdnatura.domain.notNull
import es.verdnatura.presentation.base.BaseFragment
import es.verdnatura.presentation.view.component.CustomDialog
import es.verdnatura.presentation.view.component.CustomDialogInput
import es.verdnatura.presentation.view.feature.inventario.model.ItemInventaryVO
import es.verdnatura.presentation.view.feature.main.activity.MainActivity
import es.verdnatura.presentation.view.feature.shelvingparking.adapter.ShelvingParkingAdapter
import kotlinx.android.synthetic.main.activity_main.*
import kotlinx.android.synthetic.main.fragment_shelving_parking.*
import kotlinx.android.synthetic.main.toolbar.*

class ShelvingParkingFragment : BaseFragment<FragmentShelvingParkingBinding, ShelvingParkingViewModel>(
    ShelvingParkingViewModel::class) {

    private var user = ""
    private var password = ""
    private var sectorFk = ""
    private var warehouseFk = ""
    private var adapter : ShelvingParkingAdapter? = null
    private lateinit var customDialogInput: CustomDialogInput
    private var listInvetory:ArrayList<ItemInventaryVO> = ArrayList()
    private var listInvetoryAux:ArrayList<ItemInventaryVO> = ArrayList()
    private lateinit var customDialog: CustomDialog


    companion object {
        fun newInstance() = ShelvingParkingFragment()
    }

    override fun getLayoutId(): Int = R.layout.fragment_shelving_parking


    override fun init() {
        val prefs: SharedPreferences = activity!!.getSharedPreferences(PREFS_USER,0)
        user = prefs.getString(USER,"").toString()
        password = prefs.getString(PASSWORD,"").toString()
        sectorFk = prefs.getInt(SECTORFK,1).toString()
        warehouseFk = prefs.getInt(WAREHOUSEFK,1).toString()
        customDialogInput = CustomDialogInput(requireContext())
        customDialog = CustomDialog(requireContext())
        activity!!.main_bottom_navigation.visibility = View.GONE

        toolbar_title.text = "shelvingParking_get"
        setEvents()
        super.init()
    }


    private fun setEvents(){
        backButton.setOnClickListener {
            activity!!.onBackPressed()
        }

        shelvingText.requestFocus()
        shelvingText.setOnEditorActionListener { v, actionId, event ->
            if (actionId == EditorInfo.IME_ACTION_SEARCH || actionId == EditorInfo.IME_ACTION_DONE || actionId == 0 || actionId == 5) {
                if (!shelvingText.text.toString().isNullOrEmpty()){
                    toolbar_title.text = shelvingText.text.toString()
                    splash_progress.visibility = View.VISIBLE
                    viewModel.shelvingParking_get(user,password,shelvingText.text.toString(),warehouseFk,dayrange.text.toString())
                }

                shelvingText.setText("")
                (activity as MainActivity).hideKeyboard(shelvingText)
                return@setOnEditorActionListener true
            }

            return@setOnEditorActionListener false
        }

        dayrange.setOnEditorActionListener { v, actionId, event ->
            if (actionId == EditorInfo.IME_ACTION_SEARCH || actionId == EditorInfo.IME_ACTION_DONE || actionId == 0 || actionId == 5) {
                if (!shelvingText.text.toString().isNullOrEmpty())
                    splash_progress.visibility = View.VISIBLE
                else
                    shelvingText.requestFocus()

                toolbar_title.text = shelvingText.text.toString()
                viewModel.shelvingParking_get(user,password,shelvingText.text.toString(),warehouseFk,dayrange.text.toString())
                shelvingText.setText("")
                (activity as MainActivity).hideKeyboard(dayrange)
                return@setOnEditorActionListener true
            }

            return@setOnEditorActionListener false
        }
    }

    override fun observeViewModel() {
        with(viewModel){
            loadShelvingList.observe(viewLifecycleOwner, Observer { event ->
                event.getContentIfNotHandled().notNull {
                    splash_progress.visibility = View.GONE
                    adapter = ShelvingParkingAdapter(it.list)
                    location_recyclerview.adapter = adapter
                    location_recyclerview.layoutManager = LinearLayoutManager(requireContext(), LinearLayoutManager.VERTICAL, false)

                }
            })
        }
    }

}