package es.verdnatura.presentation.view.feature.ubicador.adapter

import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import es.verdnatura.databinding.ItemShelvingparkingRowBinding
import es.verdnatura.databinding.ItemUbicationRowBinding
import es.verdnatura.presentation.common.loadUrl
import es.verdnatura.presentation.view.feature.shelvingparking.adapter.ShelvingParkingAdapter
import es.verdnatura.presentation.view.feature.shelvingparking.model.ItemShelvingParkingVO
import es.verdnatura.presentation.view.feature.ubicador.model.ItemUbicadorVO

class UbicadorAdapter (
    private val items: List<ItemUbicadorVO>
): RecyclerView.Adapter<UbicadorAdapter.ItemHolder> () {


    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): ItemHolder {
        return ItemHolder(
            ItemUbicationRowBinding.inflate(LayoutInflater.from(parent.context),parent,false)
        )
    }

    override fun getItemCount() =items.size

    override fun onBindViewHolder(holder: ItemHolder, position: Int) {
        holder.bind(items[position])
    }

    inner class ItemHolder(
        val binding: ItemUbicationRowBinding
    ) : RecyclerView.ViewHolder(binding.root){
        private val res = binding.root.context.resources
        fun bind(item: ItemUbicadorVO) {
            binding.apply {
                this.item = item
                multiText.text = item.stickers+"x"+item.packing
                imgItem.loadUrl("https://verdnatura.es/vn-image-data/catalog/200x200/"+item.item);

            }
        }
    }
}